/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.0.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package peertube-api.models

import peertube-api.models.VideoPrivacySet
import peertube-api.models.VideoScheduledUpdate

import com.squareup.moshi.Json
/**
 * 
 * @param videofile Video file
 * @param channelId Channel id that will contain this video
 * @param name Video name
 * @param thumbnailfile Video thumbnail file
 * @param previewfile Video preview file
 * @param privacy 
 * @param category Video category
 * @param licence Video licence
 * @param language Video language
 * @param description Video description
 * @param waitTranscoding Whether or not we wait transcoding before publish the video
 * @param support Text describing how to support the video uploader
 * @param nsfw Whether or not this video contains sensitive content
 * @param tags Video tags (maximum 5 tags each between 2 and 30 characters)
 * @param commentsEnabled Enable or disable comments for this video
 * @param originallyPublishedAt Date when the content was originally published
 * @param scheduleUpdate 
 */

data class InlineObject3 (
    /* Video file */
    @Json(name = "videofile")
    val videofile: java.io.File,
    /* Channel id that will contain this video */
    @Json(name = "channelId")
    val channelId: java.math.BigDecimal,
    /* Video name */
    @Json(name = "name")
    val name: kotlin.String,
    /* Video thumbnail file */
    @Json(name = "thumbnailfile")
    val thumbnailfile: java.io.File? = null,
    /* Video preview file */
    @Json(name = "previewfile")
    val previewfile: java.io.File? = null,
    @Json(name = "privacy")
    val privacy: VideoPrivacySet? = null,
    /* Video category */
    @Json(name = "category")
    val category: kotlin.String? = null,
    /* Video licence */
    @Json(name = "licence")
    val licence: kotlin.String? = null,
    /* Video language */
    @Json(name = "language")
    val language: kotlin.String? = null,
    /* Video description */
    @Json(name = "description")
    val description: kotlin.String? = null,
    /* Whether or not we wait transcoding before publish the video */
    @Json(name = "waitTranscoding")
    val waitTranscoding: kotlin.String? = null,
    /* Text describing how to support the video uploader */
    @Json(name = "support")
    val support: kotlin.String? = null,
    /* Whether or not this video contains sensitive content */
    @Json(name = "nsfw")
    val nsfw: kotlin.String? = null,
    /* Video tags (maximum 5 tags each between 2 and 30 characters) */
    @Json(name = "tags")
    val tags: kotlin.Array<kotlin.String>? = null,
    /* Enable or disable comments for this video */
    @Json(name = "commentsEnabled")
    val commentsEnabled: kotlin.String? = null,
    /* Date when the content was originally published */
    @Json(name = "originallyPublishedAt")
    val originallyPublishedAt: java.time.OffsetDateTime? = null,
    @Json(name = "scheduleUpdate")
    val scheduleUpdate: VideoScheduledUpdate? = null
) 



